import { Provider, ProviderSearchOptions, ProviderMeta, ProviderTorrent } from '.';
export declare class X1337Provider extends Provider {
    static providerName: "1337x";
    protected domain: string;
    trackers: string[];
    getMeta(): Promise<ProviderMeta>;
    search(query: string, options?: ProviderSearchOptions): Promise<ProviderTorrent[]>;
    getMagnet(id: string): Promise<string>;
    protected parseDate(value: string): Date;
}
